CREATE TABLE amigo (
	num number(5) not null CONSTRAINT cp_amigo PRIMARY KEY,
	nombre varchar2(60) not null,
	telefono varchar2(10));

CREATE TABLE autor (
	autor_id CHAR(4) NULL, 
	nombre VARCHAR2(35) NOT NULL, 
	nacionalidad VARCHAR2(20) NULL,  
	CONSTRAINT cp_autor PRIMARY KEY (autor_id)) ;

CREATE TABLE libro (
	ID_LIB VARCHAR2(10) NULL, 
	TITULO VARCHAR2(80) NULL, 
	AO NUMBER(5,0) NULL, 
	varias_obras number(5,0) NULL,  
	CONSTRAINT cp_lib PRIMARY KEY (ID_LIB))  ;

CREATE TABLE tema (
	TEMATICA VARCHAR2(20) NULL, 
	DESCRIPCION VARCHAR2(50) NULL,  
	CONSTRAINT cp_tema PRIMARY KEY (TEMATICA)) ;

CREATE TABLE obra (
	COD_OB NUMBER(10,0) NULL, 
	TITULO VARCHAR2(80) NOT NULL,  
	TEMATICA VARCHAR2(20) NULL,  
	CONSTRAINT cp_obra PRIMARY KEY (COD_OB),  
	CONSTRAINT ca_obra_tema FOREIGN KEY (TEMATICA) REFERENCES TEMA(TEMATICA))  ;

CREATE TABLE esta_en (
	COD_OB NUMBER(10,0) NULL, 
	ID_LIB VARCHAR2(10) NULL,  
	CONSTRAINT cp_esta_en PRIMARY KEY (COD_OB, ID_LIB),  
	CONSTRAINT ca_estaen_obra FOREIGN KEY (COD_OB) REFERENCES OBRA(COD_OB),  
	CONSTRAINT ca_estaen_libro FOREIGN KEY (ID_LIB) REFERENCES LIBRO(ID_LIB))  ;

CREATE TABLE escribir (
	AUTOR_ID CHAR(4) NULL, 
	COD_OB NUMBER(10,0) NULL,  
	CONSTRAINT cp_escribir PRIMARY KEY (AUTOR_ID, COD_OB),  
	CONSTRAINT ca_esc_obra FOREIGN KEY (COD_OB) REFERENCES OBRA(COD_OB),  
	CONSTRAINT ca_esc_autor FOREIGN KEY (AUTOR_ID) REFERENCES AUTOR(AUTOR_ID))  ;


CREATE TABLE prestamo (
	num number(5) NOT NULL,
	id_lib varchar2(10),
	CONSTRAINT cp_pres PRIMARY KEY (num, id_lib),
	CONSTRAINT ca_pres_obra FOREIGN KEY (id_lib) REFERENCES libro (id_lib),
	CONSTRAINT ca_pres_amigo FOREIGN KEY (num) REFERENCES amigo (num));

EXIT;